Package de.willuhn.jameica.hbci.gui.parts

# Class PassportList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.PassportList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class PassportList extends de.willuhn.jameica.gui.parts.TablePart implements de.willuhn.jameica.gui.Part
Implementierung einer fix und fertig vorkonfigurierten Liste mit Sicherheitsmedien.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners, settings`

## Constructor Summary

Constructors
Constructor
Description
`PassportList(de.willuhn.jameica.gui.Action action)`

## Method Summary

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, createFeatureEventContext, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, paint, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.gui.Part

`paint`

## Constructor Details

### PassportList

public PassportList(de.willuhn.jameica.gui.Action action) throws RemoteException

Parameters:
  `action` -
Throws:
  `RemoteException`